<html>
<head>
<title>OgreStringInterface.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreStringInterface.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreString_8h_source.html">OgreString.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreCommon_8h_source.html">OgreCommon.h</a>&quot;</code><br/>
</div>
<p><a href="OgreStringInterface_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParameterDef.html">Ogre::ParameterDef</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Definition of a parameter supported by a <a class="el" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers.">StringInterface</a> class, for introspection.  <a href="classOgre_1_1ParameterDef.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamCommand.html">Ogre::ParamCommand</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class which is command object which gets/sets parameters.  <a href="classOgre_1_1ParamCommand.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html">Ogre::ParamDictionary</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to hold a dictionary of parameters for a single class.  <a href="classOgre_1_1ParamDictionary.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers.  <a href="classOgre_1_1StringInterface.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector&lt; ParameterDef &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gac3c212f18e4a3e6aba496571cfbe5400">Ogre::ParameterList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; String, <br class="typebreak"/>
ParamCommand * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga2bce134286f461b9f474618eb0e249b9">Ogre::ParamCommandMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef map&lt; String, <br class="typebreak"/>
ParamDictionary &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gadb243c5b21d57e9c053b067801f47780">Ogre::ParamDictionaryMap</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga4b8cfe4e77d7d21264a6497c06ed924a">Ogre::ParameterType</a> { <br/>
&#160;&#160;<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aa7b72a218a6d93dfbcb77e208eaa3feeb">Ogre::PT_BOOL</a>, 
<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aa6346202346c62e0d276c03eb2f258b16">Ogre::PT_REAL</a>, 
<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aa6a6d06f6d2147d82b892bee309ff466f">Ogre::PT_INT</a>, 
<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aa960735d7150a41f8c25be3e5d459e5ef">Ogre::PT_UNSIGNED_INT</a>, 
<br/>
&#160;&#160;<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aac1ae17fd22246104d7a7794fcf89e1e1">Ogre::PT_SHORT</a>, 
<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aaca32cf2526bd9f0ec645331b9a1093c1">Ogre::PT_UNSIGNED_SHORT</a>, 
<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aa663563417c2b019e268ba62dc4b1c587">Ogre::PT_LONG</a>, 
<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aa08dbf5d4856777b3dd0dfd7f6d82cd46">Ogre::PT_UNSIGNED_LONG</a>, 
<br/>
&#160;&#160;<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aa631b8a9e92ad1186744a5fa9521b08dc">Ogre::PT_STRING</a>, 
<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aad1f53213a85c2b5518e8b974cbbbea76">Ogre::PT_VECTOR3</a>, 
<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aada60f8ff24cfcc03772b69968f3aa30f">Ogre::PT_MATRIX3</a>, 
<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aa9cde1dc36b3e39a8a4e7a2b9bba6d78d">Ogre::PT_MATRIX4</a>, 
<br/>
&#160;&#160;<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aa2971f5bea77e8de65d015df46f67733c">Ogre::PT_QUATERNION</a>, 
<a class="el" href="group__General.html#gga4b8cfe4e77d7d21264a6497c06ed924aa70b475c72e98912203dc005ef4fd9ffb">Ogre::PT_COLOURVALUE</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">List of parameter types available.  <a href="group__General.html#ga4b8cfe4e77d7d21264a6497c06ed924a">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
